/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

#ifndef PLACEDESCRIPTION_H
#define PLACEDESCRIPTION_H

class Place;
class IAssess2;

/** @stereotype description */
class PlaceDescription {
public:
    void assessWithPlugInElseDefault();

    void assessAcrossPlaces();

    void findAvailable();

    int calcQtyAvailable();

    int calcTotalFor();

    int listPlaces();

    static int listDescs();

    static int assessAcrossDescs();

private:
    /** @clientCardinality 1
     * @supplierCardinality 0..* */
    Place * lnkUnnamed;

    int type;
    int description;
    int itemNumber;
    int defaultValue;

    /** @supplierCardinality 0..1 */
    IAssess2 * lnkUnnamed1;
};
#endif //PLACEDESCRIPTION_H
